package ${basePackage}.action.api.system;

import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.TokensManager;
import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import org.springframework.beans.factory.annotation.Autowired;

public class TokensApi{

    @Autowired
    private TokensManager tokensManager;

    public TokensCreateResponse create(TokensCreateRequest request) {
        return tokensManager.create(request, LocalData.getToken());
    }

    public TokensDeleteResponse delete(TokensDeleteRequest request) {
        return tokensManager.delete(request, LocalData.getToken());
    }

    public TokensUpdateResponse update(TokensUpdateRequest request) {
        return tokensManager.update(request, LocalData.getToken());
    }

    public TokensFindResponse find(TokensFindRequest request) {
        return tokensManager.find(request, LocalData.getToken());
    }

    public TokensGetResponse get(TokensGetRequest request) {
        return tokensManager.get(request, LocalData.getToken());
    }
}
